Subject: Re: [edu-discuss] Is the EDU team ossified?

From: SM <[email-masked]>
Date: Mon, 01 Apr 2013 21:48:28 -0700

Hi Spencer,
At 13:30 28-03-2013, Spencer Dawkins wrote:
>And for what it's worth, the IAB is meeting during the current 
>Sunday afternoon slots - at least the first one, and maybe both - so 
>we can't drop in and answer questions.

It may be better not to stretch out I* members by pushing them into 
slots just because they don't have another meeting to attend.

I spent two and a half hours discussing with someone new to the 
IETF.  The person followed the Newcomer session a few weeks ago.  I 
used the term "process documents" and I had to explain what I meant 
by that.  The person had a view of the "initial draft to publication" 
process which was, in my opinion, too formal.  The IESG was viewed as 
an authority instead of part of a process where people have to be 
coaxed into coming to agreement.  I tried to explain to the person 
not to push issues which could be resolved at the lower layers to the top.

A long time ago Peter Koch posted some comments about terms used in 
the IETF [1].  I use some of those terms too.  The IETF way is to 
document those terms so that people can understand them.  It ends up 
as higher barrier for these people, i.e. the IETF expects people to 
follow its culture.

My sense is that the current discussion might not be viewed as worthy 
of changes.  I am ok with that as I am not interested in breaking any 
stone wall. :-)

Regards,
-sm

1. http://www.ietf.org/mail-archive/web/edu-discuss/current/msg00047.html

---

From: Mary Barnes <[email-masked]>
Date: Tue, 2 Apr 2013 08:18:20 -0500

SM,

Why don't you write a draft that discusses the issues you are seeing,
along with ideas on how to solve them?   It seems you think that the
Tao and newcomer's training are not at all adequate.

Mary.

On Mon, Apr 1, 2013 at 11:48 PM, SM <[email-masked]> wrote:
>> And for what it's worth, the IAB is meeting during the current Sunday
>> afternoon slots - at least the first one, and maybe both - so we can't drop
>> in and answer questions.
>
>
> It may be better not to stretch out I* members by pushing them into slots
> just because they don't have another meeting to attend.
>
> I spent two and a half hours discussing with someone new to the IETF.  The
> person followed the Newcomer session a few weeks ago.  I used the term
> "process documents" and I had to explain what I meant by that.  The person
> had a view of the "initial draft to publication" process which was, in my
> opinion, too formal.  The IESG was viewed as an authority instead of part of
> a process where people have to be coaxed into coming to agreement.  I tried
> to explain to the person not to push issues which could be resolved at the
> lower layers to the top.
>
> A long time ago Peter Koch posted some comments about terms used in the IETF
> [1].  I use some of those terms too.  The IETF way is to document those
> terms so that people can understand them.  It ends up as higher barrier for
> these people, i.e. the IETF expects people to follow its culture.
>
> My sense is that the current discussion might not be viewed as worthy of
> changes.  I am ok with that as I am not interested in breaking any stone
> wall. :-)
>
> Regards,
> -sm
>
> _______________________________________________
> edu-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/edu-discuss

---

From: Spencer Dawkins <[email-masked]>
Date: Tue, 02 Apr 2013 13:20:09 -0500

On 4/2/2013 8:18 AM, Mary Barnes wrote:
> along with ideas on how to solve them?

This sounds like a good idea.

 > It seems you think that the

At least on the newcomer's training, I thought I was hearing that the 
newcomer's training wasn't inadequate, just that it might be more 
comprehensive than someone attending their first IETF meeting might need 
(or be able to absorb).

I know I hope that most IETF participants pick up what's in the 
newcomer's training, and sooner is probably better than later - only 
that they might not need to pick it up before the 9 AM Monday session 
starts :-)

Spencer

---

From: Spencer Dawkins <[email-masked]>
Date: Tue, 02 Apr 2013 17:20:00 -0500

On 4/2/2013 4:53 PM, John C Klensin wrote:

> I still owe Scott (and anyone else here who is interested)
> nit-picking comments on the Orlando presentation.  Maybe late
> this week.

And I should say that Scott was very responsive when I was providing 
material for the IAB, pre-Orlando, so I'm pretty sure time spent looking 
at the presentation will be time well spent ...

Spencer

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 03 Apr 2013 08:04:08 +0100

> comprehensive than someone attending their first IETF meeting might need

Maybe, but since people come to the IETF for technical reasons, I think
it would be very hard to get them to attend an "elementary" newcomers
talk and then come back later for an "advanced" talk. Having given that
tutorial once or twice, I agree that it's *very* busy - but it's also very
hard to find anything in it that participants don't need to know at
an early stage.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Thu, 28 Mar 2013 11:12:01 -0400

--On Thursday, March 28, 2013 08:41 -0500 Spencer Dawkins
<[email-masked]> wrote:

>> If I were to take a survey I would rate the newcomers
>> presentation as helpful and assume that I have to learn all
>> of that before I can do anything in the IETF.
> 
> If you're asking for a First-time Attendees Survival tutorial,
> which doesn't tell you as much as the existing Newcomers
> Orientation does, but is focused on making sure you have as
> productive an IETF week as it's possible for a newcomer to
> have ... that could be interesting.
> 
> It might also interact with the pairing-up that was proposed
> immediately after IETF 86, so probably asking in a broader
> context than edu-discuss.

It might also interact with some other comments made in that set
of conversations.  If we believe, and are willing to admit to
newcomers, that no one can be expected to be fully up to speed
at their first meeting, especially if they haven't participated
significantly on-list, then:

	* Perhaps what you refer to as a survival guide might be
	appropriate for Sunday afternoon or early Monday morning.
	
	* Perhaps most of the current tutorial could better be
	left for a second meeting or for Thursday evening or
	Friday morning of the first one.  That would give the
	first-timers the opportunity to observe both plenaries
	and some WG sessions, letting that tutorial more about
	providing context and advice.  In the current schedule,
	it seems to me that there is a lot more material in it
	that won't make much sense without at least some of that
	context.

If those two tutorials were done by different people, it would
give the newcomers exposure to more than one perspective.  That
would also be a good idea, IMO.

> The current orientation is pretty comprehensive, it's stuff
> that I hope IETF attendees learn eventually, but as I think
> you're saying, you don't have to know everything in the
> tutorial to get started on Monday morning of IETF week.

Exactly.
   john

---

From: John C Klensin <[email-masked]>
Date: Tue, 02 Apr 2013 17:53:39 -0400

--On Tuesday, April 02, 2013 13:20 -0500 Spencer Dawkins
<[email-masked]> wrote:

> At least on the newcomer's training, I thought I was hearing
> that the newcomer's training wasn't inadequate, just that it
> might be more comprehensive than someone attending their first
> IETF meeting might need (or be able to absorb).

And to include some unnecessarily-complicated and/or
controversial stuff and to omit some basic survival skills.  I'm
prepared to believe that the tradeoffs between what is included
and what isn't are reasonable given time, but I think the key to
getting things right (or more right) is to focus strictly on
survival and navigational materials on Sunday (or Monday),
leaving the organizational details and related material that
dominate the current presentation for the end of the week or the
second time around.

>From other threads, it sounds like "survival skills" should also
include pig-resistance skills and how/where to ask for help.

> I know I hope that most IETF participants pick up what's in
> the newcomer's training, and sooner is probably better than
> later - only that they might not need to pick it up before the
> 9 AM Monday session starts :-)

Agreed.  See above.

   john